Download via API
This content is not available in your language yet.
All exports contain the data up until last night.
An export version defines which answers are exported and the names of the columns. When a questionnaire changes, a new export version is created.
List all export versions
Section titled “List all export versions”Sample request
GET /api/v1/data_exports.json HTTP/1.1Host: api.example.comAuthorization: Bearer YOUR_API_TOKENcurl "https://api.example.com/api/v1/data_exports.json" \ -u "username:password"$username = "username"$password = "password"$base64AuthInfo = [Convert]::ToBase64String([Text.Encoding]::ASCII.GetBytes(("{0}:{1}" -f $username, $password)))
$headers = @{ "Authorization" = "Basic $base64AuthInfo"}
Invoke-RestMethod -Uri "https://api.example.com/api/v1/data_exports.json" ` -Method GET ` -Headers $headers[ { "id": 3, "key": "v201402", "name": "Exportformaat van na 20 februari 2014", "hash": "xulog-rarat-zorud-nesys-memit", "version": "2014-02-20T10:58:29+01:00" }, { "id": 2, "key": "v201205", "name": "Exportformaat van vóór 16 mei 2012", "hash": "xovoc-polos-kosif-puhiz-kycut", "version": "2012-05-03T14:13:45+02:00" }]Download the latest export version
Section titled “Download the latest export version”Sample request
GET /api/v1/data_exports/download HTTP/1.1Host: api.example.comAuthorization: Bearer YOUR_API_TOKENcurl -L -o "demo_v201402_20140220105832.zip" "https://api.example.com/api/v1/data_exports/download" \ -u "username:password"$username = "username"$password = "password"$base64AuthInfo = [Convert]::ToBase64String([Text.Encoding]::ASCII.GetBytes(("{0}:{1}" -f $username, $password)))
$headers = @{ "Authorization" = "Basic $base64AuthInfo"}
Invoke-RestMethod -Uri "https://api.example.com/api/v1/data_exports/download" ` -Method GET ` -Headers $headers"THE BINARY DATA"The returned data is a ZIP-file with a CSV-file for each questionnaire, and a non_responses.json for the non-response data.
Download a specific export version
Section titled “Download a specific export version”GET /api/v1/data_exports/:data_export_id